org.gradle.plugins.binaries.model

## Interface CompilerRegistry

- All Superinterfaces:
    Collection<Compiler>, DomainObjectCollection<Compiler>, Iterable<Compiler>, NamedDomainObjectCollection<Compiler>, NamedDomainObjectSet<Compiler>, Set<Compiler>

      public interface CompilerRegistry
      extends NamedDomainObjectSet<Compiler>

  A container for compiler adapters

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Compiler` | `getDefaultCompiler()` Somehow picks what the default compiler to use is.

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### getDefaultCompiler

          Compiler getDefaultCompiler()

      Somehow picks what the default compiler to use is.
      Returns:
        null when there is no default compiler available.